<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>flex-grow</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>

            .flex {
                background-color: gray;
                display: flex;
                margin: 1em;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
                text-align: center;
            }

            .stretch {
                justify-content: stretch;
            }

            .flex-grow {
                flex-grow: 1;
            }

            .flex-grow2 {
                flex-grow: 2;
            }
        </style>
    </head>
    <body>
        <div class="flex">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div class="flex-grow">flex-grow: 1</div>
            <div>6</div>
            <div>7</div>
        </div>
        <div class="flex stretch">
            <div>1</div>
            <div class="flex-grow">flex-grow: 1</div>
            <div>3</div>
            <div>4</div>
            <div class="flex-grow2">flex-grow: 2</div>
            <div>6</div>
            <div>7</div>
        </div>
    </body>
</html>